INSTALL 2MOONS FAILED

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • INSTALL 2MOONS FAILED

      Good evening,

      I have a little problem,
      when im trying to connect after a new installation.

      it shows me this error:

      Fatal error: Uncaught ErrorException: Undefined offset: 8192 in /var/www/html/dimahoo/includes/GeneralFunctions.php:506 Stack trace: #0 /var/www/html/dimahoo/includes/GeneralFunctions.php(506): errorHandler(8, 'Undefined offse...', '/var/www/html/d...', 506, Array) #1 [internal function]: exceptionHandler(Object(ErrorException)) #2 {main} thrown in /var/www/html/dimahoo/includes/GeneralFunctions.php on line 506

      anyone have a solution ?

      best regard,

      FJ
    • Hey mimikri,

      Very sorry for the delay..

      look this:

      Message: filter_var(): explicit use of FILTER_FLAG_SCHEME_REQUIRED and FILTER_FLAG_HOST_REQUIRED is deprecated
      File: /includes/pages/game/AbstractGamePage.class.php
      Line: 159
      URL: localhost/dimahoo/game.php
      PHP-Version: 7.3.12
      PHP-API: apache2handler
      2Moons Version: 1.8.git
      Debug Backtrace:
      #0 [internal function]: errorHandler(8192, 'filter_var(): e...', 'C://wamp64//www//d...', 159, Array)
      #1 /includes/pages/game/AbstractGamePage.class.php(159): filter_var('http://2moons.c...', 273, 65536)
      #2 /includes/pages/game/AbstractGamePage.class.php(170): AbstractGamePage->getNavigationData()
      #3 /includes/pages/game/AbstractGamePage.class.php(240): AbstractGamePage->getPageData()
      #4 /includes/pages/game/ShowOverviewPage.class.php(298): AbstractGamePage->display('page.overview.d...')
      #5 /game.php(57): ShowOverviewPage->show()
      #6 {main}
    • Замени это:
      'hasBoard' => filter_var ($ config-> FORUM_URL, FILTER_VALIDATE_URL, FILTER_FLAG_SCHEME_REQUIRED),
      На это:
      'hasBoard' => filter_var ($ config-> FORUM_URL, FILTER_VALIDATE_URL),


      Пометка: придется заменить еще в нескольких файлах это, поэтому просмотри.
      А так: если плохо разбираешься в php то сделай откат до 7.1
      Отлично разбираюсь в 2moons: V1.7.1; V1.7.3; V1.8.git. Кому нужна помощь писать в ЛС.